List collections
Returns collections for a shop. shop_id is required.
GET
/collectionsAuthorization
AuthorizationBearer token (JWT) · headerrequiredQuery parameters
shop_idintegerrequiredID of the shop whose collections to list.
pageintegerdefault: 1
per_pageintegerdefault: 20
Responses
200Paginated collections list
Request
curl -X GET "https://api.onbolder.com/v2/collections?shop_id=1" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://api.onbolder.com/v2/collections?shop_id=1", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://api.onbolder.com/v2/collections?shop_id=1",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"_class": [
"results",
"collections"
],
"total_items": 2,
"per_page": 20,
"page": 1,
"_embedded": {
"items": [
{
"id": 5,
"title": "Summer Collection",
"slug": "summer",
"_links": {
"self": {
"href": "https://api.onbolder.com/v2/collections/5"
}
}
}
]
}
}